OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.DrawElementsBaseVertex

Contents

- Functions

Description

All raw functions from the ARB_draw_elements_base_vertex extension, see http://www.opengl.org/registry/specs/ARB/draw_elements_base_vertex.txt.

Synopsis

- glDrawElementsBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()
- glDrawRangeElementsBaseVertex :: GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()
- glDrawElementsInstancedBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> IO ()
- glMultiDrawElementsBaseVertex :: GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> IO ()

# Functions

glDrawElementsBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()

glDrawRangeElementsBaseVertex :: GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()

glDrawElementsInstancedBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> IO ()

glMultiDrawElementsBaseVertex :: GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> IO ()